[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Starting a transition to ocaml 3.09.2

On Mon, Apr 17, 2006 at 10:21:49PM -0700, Steve Langasek wrote:
> On Mon, Apr 17, 2006 at 01:17:04PM +0200, Samuel Mimram wrote:
> > A new version of ocaml (3.09.2) is available. Since the caml libraries
> > are binary-incompatible between releases, this means that we have to
> > rebuild all the caml libraries before caml can hit testing. Do you see
> > any problem if we start a transition to ocaml 3.09.2?
> It's not clear to me whether there would be problems.  Please hold off on
> starting this transition until we have a handle on which packages need to be
> updated to go into etch for the X11R7 transition; I don't *think* any
> ocaml-using packages are affected, but better safe than sorry.

I also don't remember any ocaml packages which where in /usr/X11R6 and co,
altough we have a few packages which do depend on X (labltk, lablgtk2, etc).

There is the issue of the rpath though, which is removed for some packages,
but maybe not for all, and which by default sets the rpath to /usr/X11R6

Maybe we should make sure 3.09.2 has no rpath at all, or move this rpath to
/usr/lib or something ? 

Any comment ? 


Sven Luther

Reply to: